GuideLab API

Create a task

Create a new task definition in the lab's task library.

POST
/production/tasks

Create a new task definition in the lab's task library.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/production/tasks" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "completionTrigger": "acknowledge",    "completionTriggerConfig": {      "type": "acknowledge"    }  }'
{  "task": {    "id": "string",    "labId": "string",    "name": "string",    "description": "string",    "iconDefault": "string",    "colorDefault": "string",    "styleDefault": "primary",    "completionTrigger": "acknowledge",    "completionTriggerConfig": {      "type": "acknowledge"    },    "sideEffects": [      {        "type": "change_status",        "toStatus": "draft"      }    ],    "captureConfig": {      "requireNotes": false,      "requirePhoto": false,      "notesPlaceholder": "string",      "notesMaxLength": 1    },    "defaultAssigneeMemberId": "string",    "roomId": "string",    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}